<?php
/**
 * @file
 */

namespace Drupal\spectra_expire\Controller;

use Drupal\spectra_expire\SpectraExpirationMethodManager;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class SpectraController
 *
 * Provides the route and API controller for spectra_expire.
 */
class SpectraExpireController extends ControllerBase
{

  protected $spectraExpirationMethodManager; //The plugin manager.

  /**
   * Constructor.
   *
   * @param \Drupal\spectra_expire\SpectraExpirationMethodManager $plugin_manager
   */

  public function __construct(SpectraExpirationMethodManager $plugin_manager) {
    $this->spectraExpirationMethodManager = $plugin_manager;
  }

  /**
   * {@inheritdoc}
   * This is dependancy injection at work for a controller. Rather than access the global service container via \Drupal::service(), it's best practice to use dependency injection.
   */
  public static function create(ContainerInterface $container) {
    // Use the service container to instantiate a new instance of our controller.
    return new static($container->get('plugin.manager.spectra_expire_method'));
  }
}