<?php

/**
 * @file
 * Contains \Drupal\spectra_expire\Form\SpectraExpirationPolicyDeleteForm.
 */

namespace Drupal\spectra_expire\Form;

use Drupal\Core\Entity\ContentEntityConfirmFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Provides a form for deleting a spectra_expire_policy entity.
 *
 * @ingroup spectra
 */
class SpectraExpirationPolicyDeleteForm extends ContentEntityConfirmFormBase {

    /**
     * {@inheritdoc}
     */
    public function getQuestion() {
        return $this->t('Are you sure you want to delete Expiration Policy %name?', array('%name' => $this->entity->id()));
    }

    /**
     * {@inheritdoc}
     *
     * If the delete command is canceled, return to the contact list.
     */
    public function getCancelUrl() {
        return new Url('entity.spectra_expire_policy.collection');
    }

    /**
     * {@inheritdoc}
     */
    public function getConfirmText() {
        return $this->t('Delete');
    }

    /**
     * {@inheritdoc}
     *
     * Delete the entity and log the event. logger() replaces the watchdog.
     */
    public function submitForm(array &$form, FormStateInterface $form_state) {
        $entity = $this->getEntity();
        $entity->delete();

        $this->logger('spectra')->notice('Deleted Expiration Policy %title.',
            array(
                '%title' => $this->entity->id(),
            ));
        // Redirect to spectra_statement list after delete.
        $form_state->setRedirect('entity.spectra_expire_policy.collection');
    }

}
